@Echo off
@title Patcheur FR SS-RPG v0.9.0 - Par Lyan53
color 2E

:start:
echo.
echo.                            Patcheur FR SS-RPG v0.9.0
echo                       pour le jeu NeoGeo CD (Jap uniquement)
echo.
echo                 Hacking et Traduction FR du jeu par LeNobleBahamut
echo.
echo.                                 .................
echo. 
echo.
echo                         Pressez une touche pour continuer...
pause>nul


:begin:
cls
ren Unpacker.dll 7z.dll
Unpacker x "SS-RPG-FR.pack"
ren 7z.dll Unpacker.dll
copy iso\*.iso *.iso
ren *iso original.iso
if not exist iso\*.iso goto :noiso:
cls
echo.
echo                               Traitement en cours ...
echo.
goto :checkiso1:


:checkiso1:
md5 -c2f9778c9730e1bb3278038d0936f0e06 -l original.iso
If %errorlevel%==0 (goto :typeiso1:) else if not %errorlevel%==0 (goto :checkiso2:)


:checkiso2:
md5 -ceac28b5acd40af5fb98db3d9cc851cb0 -l original.iso
If %errorlevel%==0 (goto :typeiso2:) else if not %errorlevel%==0 (goto :checkiso3:)


:checkiso3:
md5 -ce417d4733ff3d40b9a0e4929bc82cf37 -l original.iso
If %errorlevel%==0 (goto :typeiso3:) else if not %errorlevel%==0 (goto :bad:)


:typeiso1:
echo iso type 1
xdelta -d -vfs "original.iso" "ISO Type 1.fix" "temp.iso"
del original.iso
ren temp.iso original.iso
goto :typeiso2:


:typeiso2:
echo iso type 2
xdelta -d -vfs "original.iso" "ISO Type 2.fix" "temp.iso"
del original.iso
ren temp.iso original.iso
goto :typeiso3:


:typeiso3:
echo iso type 3
xdelta -d -vfs "original.iso" "SS-RPG FR(Patch v0.9.0-LNB).ssr" "temp.iso"
del original.iso
goto :cdzfix:


:cdzfix:
cls
echo.
echo                  Souhaitez-vous appliquer le fix antiprotection 
echo                            sur votre ISO patch‚ FR ?
echo.
echo                 Ce dernier vous servira si vous souhaitez graver
echo                     votre jeu pour jouer sur support console.
echo                L'application de ce fix est indispensable sur CDZ.
echo.
echo                           Non - tapez : 1 puis entr‚e
echo                           Oui - tapez : 2 puis entr‚e
echo.
set /p choice=Quel est votre choix ? :
if "%choice%"=="1" goto :success:
if "%choice%"=="2" goto :apply:
if %errorlevel%=="1" goto :badchoice:


:badchoice:
cls
echo.
echo.
echo                               Choix non valide !!
echo.
echo                Veuillez entrer un choix pr‚sent dans la liste !
echo.
echo.                              .................
echo.
echo.
echo                      Pressez une touche pour r‚essayer...
pause>nul
goto :cdzfix:


:apply:
echo iso fix
ren temp.iso original.iso
xdelta -d -vfs "original.iso" "Crack Hardware.cdz" "temp.iso"
del original.iso
goto :success:


:success:
for %%a in (iso\*.iso) do rename temp.iso "%%~na.iso"
md "SS-RPG FR (v0.9.0-LNB)"
move *.iso "SS-RPG FR (v0.9.0-LNB)\"
cls
echo.
echo                          Patch FR appliqu‚ avec succŠs !!
echo.
echo                                     Enjoy ...
echo.
del "Crack Hardware.cdz"
del "ISO Type 1.fix"
del "ISO Type 2.fix"
del "SS-RPG FR(Patch v0.9.0-LNB).ssr"
del "md5.exe"
del "xdelta.exe"
goto :end:


:bad:
cls
echo.
echo                        Dump non compatible avec ce patcheur
echo                    Votre ISO est soit modifi‚, soit non conforme
echo                     Merci d'utiliser une version clean de l'ISO
echo.
del "Crack Hardware.cdz"
del "ISO Type 1.fix"
del "ISO Type 2.fix"
del "SS-RPG FR(Patch v0.9.0-LNB).ssr"
del "md5.exe"
del "xdelta.exe"
del original.iso
goto :end:


:noiso:
cls
echo.
echo                        Aucun fichier ISO n'a ‚t‚ trouv‚
echo                              dans le dossier "iso"
echo.
echo                     Veuillez vous assurer que ce dernier y
echo                        est bien pr‚sent ou est bien un
echo.                fichier avec l'extension ".iso", puis r‚essayez.
echo.
del "Crack Hardware.cdz"
del "ISO Type 1.fix"
del "ISO Type 2.fix"
del "SS-RPG FR(Patch v0.9.0-LNB).ssr"
del "md5.exe"
del "xdelta.exe"
goto :end:


:end
echo.                                .................
echo.
echo.
echo                        Pressez une touche pour quitter ...
pause>nul
